package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

public class KQLoactionComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_location";

	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "id";

	@CacheColumn(name = "locationname")
	protected static int locationname;

	@CacheColumn(name = "longitude")
	protected static int longitude;

	@CacheColumn(name = "latitude")
	protected static int latitude;

	@CacheColumn(name = "address")
	protected static int address;

	@CacheColumn(name = "checkscope")
	protected static int checkscope;

	@CacheColumn(name = "groupid")
	protected static int groupid;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}

	public String getLocationname() { return (String)getRowValue(locationname); }

	public String getLocationname(String key) {
		return (String)getValue(locationname,key);
	}

	public String getLongitude() { return (String)getRowValue(longitude); }

	public String getLongitude(String key) {
		return (String)getValue(longitude,key);
	}

	public String getLatitude() { return (String)getRowValue(latitude); }

	public String getLatitude(String key) {
		return (String)getValue(latitude,key);
	}

	public String getAddress() { return (String)getRowValue(address); }

	public String getAddress(String key) {
		return (String)getValue(address,key);
	}

	public String getCheckscope() { return (String)getRowValue(checkscope); }

	public String getCheckscope(String key) {
		return (String)getValue(checkscope,key);
	}

	public String getGroupid() { return (String)getRowValue(groupid); }

	public String getGroupid(String key) {
		return (String)getValue(groupid,key);
	}
}